// Author: Juan Carlos De Abreu (jcabreur@gmail.com)
//
// This file define a class that allow have shaders in the app.

#ifndef SHADER_H__
#define SHADER_H__

#include "../global.h"
#include "../util/string.h"

BEGIN_TEG_NAMESPACE();

class Shader {
 public:
  // Shader constructor and destructor.
  Shader();
  ~Shader();

  // Method to load a shader program.
  std::tstring LoadShaderProgram(const std::tstring path);

  // Method to compile and link a vertex and fragmnet shaders.
  void CompileAndLinkShaderProgram();

 private:
  // Shader attributes.
  
};

END_TEG_NAMESPACE();

#endif  // SHADER_H__
